%header.navbar.navbar-gitlab{ class: nav_header_class }
  %a.sr-only.gl-accessibility{ href: "#content-body", tabindex: "1" } Skip to content
  .container-fluid
    .header-content
      %button.side-nav-toggle{ type: 'button', "aria-label" => "Toggle global navigation" }
        %span.sr-only Toggle navigation
        = icon('bars')
      %button.navbar-toggle{ type: 'button' }
        %span.sr-only Toggle navigation
        = icon('ellipsis-v')

      .navbar-collapse.collapse
        %ul.nav.navbar-nav
          %li.hidden-sm.hidden-xs
            = render 'layouts/search' unless current_controller?(:search)
          %li.visible-sm.visible-xs
            = link_to search_path, title: 'Search', aria: { label: "Search" }, data: {toggle: 'tooltip', placement: 'bottom', container: 'body'} do
              = icon('search')
          - if current_user
            - if session[:impersonator_id]
              %li.impersonation
                = link_to admin_impersonation_path, method: :delete, title: "Stop Impersonation", aria: { label: 'Stop Impersonation' }, data: { toggle: 'tooltip', placement: 'bottom', container: 'body' } do
                  = icon('user-secret fw')
            - if current_user.is_admin?
              %li
                = link_to admin_root_path, title: 'Admin Area', aria: { label: "Admin Area" }, data: {toggle: 'tooltip', placement: 'bottom', container: 'body'} do
                  = icon('wrench fw')
            %li
              = link_to dashboard_todos_path, title: 'Todos', aria: { label: "Todos" }, data: {toggle: 'tooltip', placement: 'bottom', container: 'body'} do
                = icon('bell fw')
                %span.badge.todos-pending-count{ class: ("hidden" if todos_pending_count == 0) }
                  = todos_pending_count
            - if Gitlab::Geo.secondary?
              %li
                = link_to Gitlab::Geo.primary_node.url, title: 'Go to primary node', data: {toggle: 'tooltip', placement: 'bottom', container: 'body'} do
                  = icon('globe fw')
            - if Gitlab::Sherlock.enabled?
              %li
                = link_to sherlock_transactions_path, title: 'Sherlock Transactions',
                  data: {toggle: 'tooltip', placement: 'bottom', container: 'body'} do
                  = icon('tachometer fw')
            %li.header-user.dropdown
              = link_to current_user, class: "header-user-dropdown-toggle", data: { toggle: "dropdown" } do
                = image_tag avatar_icon(current_user, 26), width: 26, height: 26, class: "header-user-avatar"
                = icon('caret-down')
              .dropdown-menu-nav.dropdown-menu-align-right
                %ul
                  %li
                    = link_to "Profile", current_user, class: 'profile-link', aria: { label: "Profile" }, data: { user: current_user.username }
                  %li
                    = link_to "Settings", profile_path, aria: { label: "Settings" }
                  %li
                    = link_to "Help", help_path, aria: { label: "Help" }
                  %li.divider
                  %li
                    = link_to "Sign out", destroy_user_session_path, method: :delete, class: "sign-out-link", aria: { label: "Sign out" }
          - else
            %li
              %div
                = link_to "Sign in", new_session_path(:user, redirect_to_referer: 'yes'), class: 'btn btn-sign-in btn-success'


      %h1.title= title

      .header-logo
        = link_to root_path, class: 'home', title: 'Dashboard', id: 'logo' do
          = brand_header_logo

      = yield :header_content

= render 'shared/outdated_browser'

- if @project && !@project.empty_repo?
  - if ref = @ref || @project.repository.root_ref
    :javascript
      var findFileURL = "#{namespace_project_find_file_path(@project.namespace, @project, ref)}";
